// upload
.bp3-file-input {
  display: block;
  &.bp3-large {
    input {
      margin-top: 8px;
    }
  }
  .bp3-file-upload-input {
    font-size: 16px;
    line-height: 24px;
    padding: 4px 82px 4px 12px;
    color: rgba(41, 41, 41, 0.7);
    border-radius: 4px;
    border: 0.7px solid rgba(41, 41, 41, 0.16);
    box-shadow: none;
    &::after {
      background-color: $rt-blue2;
      border-radius: 4px;
      color: $white5;
      background-image: none;
      font-size: 13px;
      top: 3px;
      bottom: 3px;
      right: 4px;
      margin-left: 8px;
      box-shadow: none;
      padding: 0 12px;
      margin: 0;
      min-height: auto;
    }
    &:hover::after {
      background-color: $rt-blue2;
    }
  }
  &.bp3-large {
    .bp3-file-upload-input {
      line-height: 48px;
      padding: 0 105px 0 16px;
    }
    .bp3-file-upload-input {
      &::after {
        line-height: 32px;
        margin: 8px;
        top: -1px;
        bottom: -1px;
        right: 0;
      }
    }
  }
}
.bp3-file-input input:disabled + .bp3-file-upload-input, .bp3-file-input input.bp3-disabled + .bp3-file-upload-input {
  background: $white5;
  border: 0.7px solid #ccc;
  color: rgba(204, 204, 204, 0.7);
}
